Masumi Logo

/purchase-error-state-recovery

Clears error states for purchase requests in WaitingForManualAction state and resets them up for retry or other actions. This endpoint provides manual intervention capability to recover from error states by clearing error fields.

POST
/purchase/error-state-recovery
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Purchase error recovery request details

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/./../api/v1/purchase/error-state-recovery" \  -H "Content-Type: application/json" \  -d '{    "blockchainIdentifier": "blockchain_identifier",    "network": "Preprod",    "updatedAt": "1970-01-20T20:00:36.260Z"  }'
{
  "status": "Success",
  "data": {
    "id": "cmf40vg7h0016ucj1u1ro6651"
  }
}
{
  "status": "error",
  "error": {
    "message": "Purchase request is not in WaitingForManualAction state. Current state: WaitingForExternalAction"
  }
}
Empty
{
  "status": "error",
  "error": {
    "message": "Purchase request not found"
  }
}
Empty
Masumi Kanji